// creator  : weidu.exe (version 23100)
// argument : DETRAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DETRAN~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #22087 /* ~We would love to have you in our party, Minsc.~ */
  IF ~~ THEN REPLY #22113 /* ~More important things? Was this man's murder not important?!~ */ GOTO 1
  IF ~~ THEN REPLY #22114 /* ~I have done much for you. When will you help me with Imoen?~ */ GOTO 6
  IF ~~ THEN REPLY #22115 /* ~I await your instructions.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #22090 /* ~Prophet~ */
  IF ~~ THEN REPLY #22117 /* ~I have done everything you have asked. When will you help me find Imoen?~ */ GOTO 2
  IF ~~ THEN REPLY #22116 /* ~The rescue of this person was not important? Then why did I do it?~ */ GOTO 8
END

IF ~~ THEN BEGIN 2 // from: 8.0 6.0 1.0
  SAY #22091 /* ~Prophet~ */
  IF ~~ THEN REPLY #22118 /* ~What would you have me do?~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #22105 /* ~You will rescue him.  He will be killed once they are through, so go quickly.  They have him at the Shadow Thief guild house on the second floor. You know the building, I think?~ */
  IF ~~ THEN REPLY #22119 /* ~You have returned.  My informants have kept me updated.  You displayed mercy, a crippling attribute for a killer.  Well, no matter.~ [BODHIX24] */ GOTO 4
  IF ~~ THEN REPLY #22120 /* ~You have returned.  No need to say how you fared; my spies have kept me updated.  The rescue did not go as planned, I take it? No matter, he was unimportant.~ [BODHIX24] */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #22106 /* ~The man's name is Palern Flynn. Remember, if he dies, you fail. I will be here in the evenings and early mornings to meet you. Good luck.~ */
  IF ~PartyGoldGT(899)~ THEN REPLY #22121 /* ~The attack will have put the Shadow Thieves on edge, and that was half the purpose anyway. On to more important things.~ */ GOTO 5
  IF ~PartyGoldLT(900)~ THEN REPLY #22122 /* ~If the task was of no importance, why did you have me attempt it?~ */ GOTO 7
  IF ~~ THEN REPLY #22123 /* ~I have tried to do as you have asked. When will you help me find Imoen?~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #22107 /* ~Orb~ */
  IF ~~ THEN DO ~TakePartyGold(900)
GiveItem("misc97",LastTalkedToBy)
EscapeArea()
~ JOURNAL #23512 /* ~Getting Inside the Asylum

Apparently, I was not able to pull off a convincing enough performance of insanity so that Desharik would put me in the asylum.  He grew suspicious of me and refused.  I will have to find another way to gain entrance now, it seems.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.1
  SAY #22108 /* ~And, if you don't mind, get here earlier next time. I have rather delicate skin and the sunlight is quite harsh.~ */
  IF ~~ THEN REPLY #22125 /* ~These tasks were to see your capabilities.  I must have careful knowledge of my contacts, and you are no exception.  You are, perhaps, even more deserving of scrutiny.~ */ GOTO 2
  IF ~~ THEN REPLY #22126 /* ~You will benefit as well.  I required extra effort, but I am more tolerant of mistakes and insolence as a result. This is good for you.  Now to the task at hand.~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 9.2 9.1 8.1 4.2 4.1 3.1 0.2
  SAY #22109 /* ~Your task is clear, yet you delay.  Keep your word; kill Armagaran Vulova and put the Shadow Thief items I gave you in the fountain.  Return once the deed is done.~ [BODHIX21] */
  IF ~~ THEN JOURNAL #23513 /* ~Chapter 7: Part 1

Elhan, the leader of the elven army, has filled in many pieces of the puzzle regarding Irenicus.  The mage and his sister were once elves... and their ambition, their desire for power to rival the gods, led them to perform an atrocity that resulted in everything that was elven being stripped from them.  Left to the longevity of a human, they each found different ways to extend their lives... Bodhi through vampirism, Irenicus through power... both plotting to regain entry into Suldanessellar so that they could have their revenge, as well as another chance to gain the power they desired.

Irenicus had invaded Suldanessellar while the elven army busied itself with the drow... and then he cloaked the elven city in an illusion that hid it from anyone else.  Elhan sent me to collect the a mystic lantern, the Rhynn Lanthorn, that would dispel the illusion.  The item was stolen from the elven holy site by Bodhi... resulting in a difficult confrontation that destroyed the vampire once and for all.  Now all that remains to be dealt with is Irenicus.  His plans must be stopped, and I must regain my soul or be damned to death... or worse...~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.1 1.1
  SAY #22110 /* ~Your task is clear, yet you delay. Go to the Shadow Thief guild and rescue Palern Flynn from the Shadow Thieves. I await your return.~ [BODHIX21] */
  IF ~~ THEN REPLY #22128 /* ~You would not want the path contested by Shadow Thieves, would you?  The task at hand will ensure safe passage for you and her.  Let's get to it then.~ */ GOTO 2
  IF ~~ THEN REPLY #22129 /* ~You are eager; regardless of your performance I can see you value your service here.  It will benefit you in the long run.  Now then, to the business at hand.~ */ GOTO 7
END

IF ~True()
~ THEN BEGIN 9 // from:
  SAY #22111 /* ~Well done. I trust you gave no mercy? Did you enjoy the task? Yes, I'm sure you did. Now, on to more important things.~ [BODHIX22] */
  IF ~PartyGoldGT(899)~ THEN REPLY #22130 /* ~It is time to take down the leadership of the Shadow Thieves and throw them into a more permanent disarray from which they may not recover.~ */ GOTO 10
  IF ~PartyGoldLT(900)~ THEN REPLY #22131 /* ~Run, my brothers!  Save yourselves!~ */ GOTO 7
  IF ~~ THEN REPLY #22132 /* ~Would you do this? The beholder is a creature of great power and must be stopped!  Listen to my plan, my friend, and we may have a chance at stopping him!~ */ GOTO 7
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #22112 /* ~Well done.  No doubt that informant will make things difficult for the Shadow Thieves.  They will be under scrutiny, and will have to be cautious.  Now on to important things.~ [BODHIX23] */
  IF ~~ THEN DO ~TakePartyGold(900)
GiveItem("misc97",LastTalkedToBy)
EscapeArea()
~ JOURNAL #23512 /* ~Getting Inside the Asylum

Apparently, I was not able to pull off a convincing enough performance of insanity so that Desharik would put me in the asylum.  He grew suspicious of me and refused.  I will have to find another way to gain entrance now, it seems.~ */ EXIT
END
